{ config, ... }:
{
  sops.secrets.wireguard_private_key = {
    sopsFile = ../../secrets/http-proxy/wireguard.yaml;
    key = "wg_private_key";
  };
  networking.wireguard = {
    enable = true;
    # TODO: add useNetworkd once 25.05 released

    interfaces = {
      wg0 = {
        ips = [ "10.69.222.2/24" ];
        listenPort = 51820;
        privateKeyFile = config.sops.secrets.wireguard_private_key.path;
        peers = [
          {
            publicKey = "32Rb13wExcy8uI92JTnFdiOfkv0mlQ6f181WA741DHs=";
            allowedIPs = [ "10.69.222.0/24" ];
            persistentKeepalive = 25;
          }
        ];
      };
    };
  };
}
